<div class="mainwrapper">
  <div class="leftwrapper">
    <img class="logo" alt="Medilabo Solutions" src="assets/logo.png" />
    <div class="form">
      <div class="topline">
        <div class="p-inputgroup">
          <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
          <input
            type="text"
            pInputText
            placeholder="First Name"
            [(ngModel)]="subscriber.prenom"
          />
        </div>
        <div class="p-inputgroup">
          <input
            type="text"
            pInputText
            placeholder="Last Name"
            [(ngModel)]="subscriber.nom"
          />
        </div>
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-envelope"></i></span>
        <input
          type="text"
          pInputText
          placeholder="Mail"
          [(ngModel)]="subscriber.mail"
        />
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-key"></i></span>
        <input
          type="password"
          pInputText
          placeholder="Password"
          [(ngModel)]="subscriber.password"
        />
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-key"></i></span>
        <input
          type="password"
          pInputText
          placeholder="Confirm password"
          [(ngModel)]="passwordConfirmation"
        />
      </div>

      <p-button
        label="Sign Up"
        styleClass="p-button-outlined"
        (click)="subscribe()"
      >
      </p-button>
    </div>
  </div>
  <div class="rightwrapper">
    <div class="topwrapper">
      <h1>Hello there !</h1>
      <p class="whitetext">
        Create your account using your personal informations
      </p>
    </div>
    <div class="bottomwrapper">
      <p class="whitesubtext">Already have an account ?</p>
      <p-button
        label="Sign In"
        styleClass="p-button-outlined"
        [routerLink]="'/auth/login'"
      ></p-button>
    </div>
  </div>
</div>
